"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line:file-name-casing
const fs = require("fs");
const logger_1 = require("./logger");
// tslint:disable-next-line:no-unnecessary-class
class Utilities {
    static getStringFromFile(thisRef, filePath) {
        let fileStr = '';
        if (!fs.existsSync(filePath)) {
            logger_1.default.error(thisRef, `Could not find file: ${filePath}`); // this will output error and exit command
        }
        else {
            fileStr = fs.readFileSync(filePath, 'utf8');
            // TODO: fix this Issue #3
            if (fileStr.charAt(fileStr.length - 1) === '\n') {
                fileStr = fileStr.substring(0, fileStr.length - 1);
            }
        }
        return fileStr;
    }
    static getJsonObjectFromFile(thisRef, filePath) {
        if (!fs.existsSync(filePath)) {
            logger_1.default.error(thisRef, `Could not find file: ${filePath}`); // this will output error and exit command
        }
        else {
            let jsonString = fs.readFileSync(filePath, 'utf8');
            try {
                return JSON.parse(jsonString);
            }
            catch (err) {
                logger_1.default.error(this, 'Error parsing JSON string:' + err);
            }
        }
    }
}
exports.default = Utilities;
